Skip to main content
`Ctrl`+`K`

# TaoGetObjective

Gets the function evaluation routine for the function to be minimized

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetObjective(Tao tao, PetscErrorCode (**func)(Tao tao, Vec x, PetscReal *f, PetscCtx ctx), PetscCtxRt ctx)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- func - the objective function

- ctx - the user-defined context for private data for the function evaluation

## Calling sequence of `func`

- tao - the optimizer

- x - input vector

- f - function value

- ctx - [optional] user-defined function context

## Notes

In addition to specifying an objective function using callbacks such as `TaoSetObjective()` and `TaoSetGradient()`, users can specify objective functions with `TaoAddTerm()`.

`TaoGetObjective()` will always return the callback specified with `TaoSetObjective()`, even if the objective function has been changed by calling `TaoAddTerm()`.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetGradient()`, `TaoSetHessian()`, `TaoSetObjective()`

## Level

beginner

## Location

src/tao/interface/taosolver_fg.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages